Bug 1119403 - kcalc.desktop should quote arguments
Summary: kcalc.desktop should quote arguments
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-appfinder
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-14 17:05 UTC by Aleksandar Kostadinov
Modified: 2015-06-30 01:05 UTC (History)
9 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-06-30 01:05:02 UTC


Attachments (Terms of Use)

Description Aleksandar Kostadinov 2014-07-14 17:05:02 UTC
Description of problem:
/usr/share/applications/kde4/kcalc.desktop contains:
> Exec=kcalc -caption %c

It seems that `%c` should be quoted for xfce4-appfinder to launch it properly.

Otherwise app throws:
> kcalc: '<caption>' missing.
> kcalc: Use --help to get a list of available command line options.

Comment 1 Rex Dieter 2014-07-16 12:44:35 UTC
http://standards.freedesktop.org/desktop-entry-spec/desktop-entry-spec-1.1.html#exec-variables

Doesn't mention anything about the need to quote any special codes like %c.  Are you sure?

(otherwise, this should be considered a bug in xfce4-appfinder for not parsing this according to the specification)

Comment 2 Aleksandar Kostadinov 2014-07-16 13:09:15 UTC
I'm not sure. You're the expert :) Pls act as you see fit. e.g. move to the xfce4-appfinder component or whatever.

Thank you for looking into it!

Comment 3 Rex Dieter 2014-07-16 13:17:10 UTC
OK, let's reassign it to xfce

Comment 4 Kevin Fenzi 2014-07-17 00:03:17 UTC
This is actually fixed in the 4.11 prerelease of xfce4-appfinder. 

Not sure how hard it would be to backport, but I can try and investigate.

Comment 5 Fedora End Of Life 2015-05-29 12:22:09 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Fedora End Of Life 2015-06-30 01:05:02 UTC
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.